Bug 6872 - Can't set default SMS messaging options when defining a patron category
Summary: Can't set default SMS messaging options when defining a patron category
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 13:38 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed fix (1.05 KB, patch)
2011-09-15 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6872 - Can't set default SMS messaging options for patron category (1.08 KB, patch)
2011-09-26 17:37 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-09-15 13:38:16 UTC
The patron category edit page doesn't show SMS options even when an SMS driver is defined in system preferences. The preference variable isn't being passed to the template.
Comment 1 Owen Leonard 2011-09-15 13:45:10 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2011-09-20 05:13:43 UTC
I don't understand and can't see what it adds. Is there something missing? Perl script is modified but not the related template.
Comment 3 Owen Leonard 2011-09-20 12:30:47 UTC
Here are the conditions for observing the bug:

1. Turn on EnhancedMessagingPreferences 
2. Fill the SMSSendDriver preference with any value to enable it
3. Edit a patron category

In the table of options labeled "Default messaging preferences for this patron category" you will see a column for Email but not for SMS. When the SMSSendDriver preference is populated there should also be a column for SMS. The template checks for the SMSSendDriver preference, but the script didn't pass the variable to the template. This patch corrects it to do so.
Comment 4 Nicole C. Engard 2011-09-26 17:37:49 UTC
Created attachment 5594 [details] [review]
[SIGNED-OFF] Fix for Bug 6872 - Can't set default SMS messaging options for patron category

Passing SMS driver preference value to the template so that SMS
options can be displayed when appropriate.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Chris Cormack 2011-09-27 08:39:00 UTC
Simple fix, pushed, please test